## psick base profiles

Psick module features a large set of profiles for common baseline configurations.

Some of them are intended to be used both on Linux and Windows, others are more specific.

Here follows documentation on how to manage different common system configurations:

- [psick::hosts](docs/hosts.md) - Manage /etc/hosts
- [psick::motd](docs/motd.md) - Manage /etc/motd and /etc/issue
- [psick::nfs](docs/nfs.md) - Manage NFS client and server
- [psick::sudo](docs/sudo.md) - Manage sudo configuration
- [psick::sysctl](docs/sysctl.md) - Manage sysctl settings
- [psick::firewall](docs/firewall.md) - Manage firewalling
- [psick::openssh](docs/openssh.md) - Manage openssh. Manage or create ssh keypairs
- [psick::hardening](docs/hardening.md) - Manage system hardening
- [psick::network](docs/network.md) - Manage networking
- [psick::puppet](docs/puppet.md) - Manage Puppet components
- [psick::users](docs/users.md) - Manage users
- [psick::time](docs/time.md) - Manage time and timezones [Linux/Windows]
- [psick::windows](docs/windows.md) - Windows profiles and tools
